#MIN_CONFIG(3.2)
CXXFLAGS="$CXXFLAGS $KDE_DEFAULT_CXXFLAGS"

if test "$build_arts" = "yes"; then
    AC_DEFINE(USE_ARTS, 1, [If we use arts volume])
    LIB_ARTS="-lartskde"
    AC_SUBST(LIB_ARTS)
fi

KDE_INIT_DOXYGEN([The API Reference], [Version $VERSION])

# -----------------------------------------------------------------
#
# pkg config check
#
# -----------------------------------------------------------------

AC_ARG_VAR(PKGCONFIGFOUND, [Path to pkg-config])
AC_CHECK_PROG(PKGCONFIGFOUND, pkg-config,[yes])

#------------------------------------------------------------------
#
# Check for ffts
#
#------------------------------------------------------------------

LIB_FFTS=""

if test x$PKGCONFIGFOUND = xyes; then
    PKG_CHECK_MODULES(FFTS, ffts >= 0.7, have_ffts=yes,have_ffts=no)

    if test x$have_ffts = xyes; then
        AC_DEFINE(HAVE_FFTS, 1, [have FFTS transform library])
        LIB_FFTS=`pkg-config --libs ffts`
    fi
fi

AC_SUBST(LIB_FFTS)
AM_CONDITIONAL(with_included_ffts, [test x$included_ffts = xyes])